PROGRAM = calc_2
ASFLAGS  = -gstabs
CFLAGS = -g -Wall -pedantic -no-pie

.PHONY: clean
	
$(PROGRAM): $(PROGRAM).o
	gcc $(CFLAGS) -o $(PROGRAM) $(PROGRAM).o
$(PROGRAM).o: $(PROGRAM).s
	as $(ASFLAGS) -o $(PROGRAM).o $(PROGRAM).s

clean:
	rm -f *.o 
	rm -f $(PROGRAM)
	rm -f *~

